@media screen and (max-width: 1540px) {
  .about_cat {
    display: none;
  }
  .hero-img {
    right: -270px;
  }
}
@media screen and (max-width: 1370px) {
  .hero-content {
    padding: 150px 20px;
  }
  .about,
  .products,
  .delivery {
    padding: 90px 20px;
  }
  .contacts-main-desc {
    padding: 80px 0 80px 20px;
    flex: 0 0 40%;
    padding-right: 60px;
  }
  .footer {
    padding: 60px 20px 50px 20px;
  }
}
@media screen and (max-width: 1320px) {
  .products-card {
    flex-grow: 1;
  }
  .nav {
    padding: 12px 20px;
  }

  h1 {
    font-family: var(--third-family);

    font-size: 60px;
    color: #fff;
  }
  h2 {
    font-family: var(--third-family);

    font-size: 45px;
    color: #282828;
  }
  h3 {
    font-family: var(--third-family);

    font-size: 35px;
    color: #282828;
  }
  h4 {
    font-family: var(--third-family);

    font-size: 25px;
    line-height: 120%;
    color: #282828;
  }
  h5 {
    font-family: var(--third-family);

    font-size: 20px;
  }
  .hero-img {
    position: absolute;
    top: 0;
    right: -150px;
    height: 100%;
  }
}
@media screen and (max-width: 1150px) {
  h1 {
    font-size: 50px;
    color: #fff;
  }
  .delivery-order-form-content-data {
    max-width: 100%;
  }
  .delivery-order-form-content-data input {
    display: inline-block;
    flex-grow: 2;
    flex-shrink: 1;
    max-width: calc(51% - 10px);
  }
  .hero {
    background-size: cover;
  }
}
@media screen and (max-width: 1024px) {
  .nav-wrapper {
    gap: 30px;
  }
  .nav-menu-list {
    gap: 40px;
  }
  .hero-img {
    right: -220px;
  }
  .contacts-main-desc {
    padding: 70px 0 70px 20px;
    flex: 0 0 40%;
    padding-right: 50px;
  }
  .about,
  .products,
  .delivery {
    padding: 70px 20px;
  }
  .hero-img {
    right: -260px;
  }
}
@media screen and (max-width: 946px) {
  .about-cards-wrapper {
    flex-direction: column;
  }

  .about-card {
    flex-direction: row;
    justify-content: space-between;
    gap: 30px;
  }
  .about-card-title {
    min-width: 247px;
    margin-bottom: 0;
  }
  .delivery-wrapper {
    flex-direction: column;
  }
  .delivery-order {
    padding: 30px;
    width: 100%;
  }
  .nav-menu-list {
    gap: 30px;
  }
  .contacts-social {
    margin-bottom: 40px;
  }
  .contacts-main-desc-items {
    margin-bottom: 20px;
  }
  .delivery-text {
    margin-bottom: 30px;
  }
  .contacts-main-desc {
    padding-right: 50px;
  }
  .contacts-main-desc-item-text a {
    font-size: 18px;
  }
  .delivery-order-form {
    gap: 20px;
  }
  .products-download-text {
    max-width: 80%;
  }
  .products-download-text a {
    text-wrap: nowrap;
  }
  .error-text p {
    max-width: 100%;
  }
  .delivery-content {
    max-width: 100%;
  }
  .delivery-wrapper {
    align-items: center;
  }
}
@media screen and (max-width: 898px) {
  .contacts-social {
    margin-bottom: 25px;
  }
  .products-card {
    max-width: 330px;
  }

  .contacts-main-desc {
    padding: 80px 0 80px 20px;
    padding-right: 30px;
  }
}

@media screen and (max-width: 870px) {
  .nav-menu {
    display: none;
  }
  .nav-burger {
    display: block;
  }
  .about-text {
    width: 100%;
  }
}
@media screen and (max-width: 850px) {
  .contacts-main-desc {
    padding: 30px 0 30px 20px;
    padding-right: 30px;
    flex: 0 0 50%;
  }
  section.contact .map {
    display: none;
  }
  section.contact .contact-wrapper .map {
    display: block;
    position: static;
  }
  #id_map {
    display: none;
  }
  #id_map_1 {
    display: block;
  }
  .contact-wrapper {
    align-items: stretch;
    gap: 20px;
  }
  .contacts-main-desc-item-text a {
    font-size: 16px;
    text-wrap: nowrap;
  }
}
@media screen and (max-width: 768px) {
  .products-nav {
    overflow-x: scroll;
    height: 66px;
  }
  .products-nav::-webkit-scrollbar {
    height: 6px;
  }
  .products-nav-item {
    text-wrap: nowrap;
  }
  .products-card {
    flex-basis: 270px;
    max-width: 50%;
    min-width: 49%;
  }
  .hero-content {
    padding: 120px 20px;
  }
}
@media screen and (max-width: 724px) {
  .products-download-img {
    display: none;
  }
  .products-download {
    flex-direction: row;
    gap: 20px;
    justify-content: space-between;
    align-items: center;
  }
  .products-download-btns {
    flex-direction: column;
  }
  .products-download-content {
    flex-direction: column;
    align-items: flex-start;
  }
  .products-download-text {
    max-width: 100%;
  }
  .products-download-btn {
    text-wrap: nowrap;
    width: 100%;
    text-align: center;
    font-size: 16px;
    padding: 13px 20px;
  }

  h1 {
    font-family: var(--third-family);

    font-size: 40px;
    color: #fff;
  }
  h2 {
    font-family: var(--third-family);

    font-size: 35px;
    color: #282828;
  }
  h3 {
    font-family: var(--third-family);

    font-size: 30px;
    color: #282828;
  }
  h4 {
    font-family: var(--third-family);

    font-size: 20px;
    line-height: 120%;
    color: #282828;
  }
  h5 {
    font-family: var(--third-family);

    font-size: 18px;
  }
  .about,
  .products,
  .delivery {
    padding: 50px 20px;
  }
  .hero-text {
    font-size: 20px;
  }
  .call {
    max-width: 80%;
    width: 100%;
  }
  .thanks {
    max-width: 80%;
    width: 100%;
  }
  .delivery-order {
    padding: 20px;
  }
}
@media screen and (max-width: 660px) {
  .contacts-social {
    padding: 10px;

    gap: 10px;
  }
  .contacts-main-desc {
    padding-right: 20px;
  }
}
@media screen and (max-width: 590px) {
  .products-card {
    flex-basis: 270px;
    max-width: 49%;
    min-width: 49%;
  }
  .about-card-title {
    min-width: 220px;
  }
  .about-card {
    gap: 15px;
  }
  .hero-title {
    margin-bottom: 20px;
  }
  .hero-text {
    margin-bottom: 30px;
  }
  .hero-img {
    display: none;
  }
  .hero::before {
    background: linear-gradient(180deg, rgba(17, 30, 95, 0) -15%, #111e5f 70%);
  }
  .hero-content {
    padding: 30px 20px;
  }
  .hero-img.bottom {
    display: block !important;
    right: 0;
    bottom: -65px;
    top: auto;
    height: auto;
    width: 100%;
  }
  h1 {
    font-family: var(--third-family);

    font-size: 30px;
    color: #fff;
  }
  h2 {
    font-family: var(--third-family);

    font-size: 30px;
    color: #282828;
  }
  h3 {
    font-family: var(--third-family);

    font-size: 25px;
    color: #282828;
  }
  h4 {
    font-family: var(--third-family);

    font-size: 19px;
    line-height: 120%;
    color: #282828;
  }
  h5 {
    font-family: var(--third-family);

    font-size: 18px;
  }
  .products-card-content {
    padding: 0px 15px 15px 15px;
  }
  .nav-contact {
    display: none;
  }
  .nav-wrapper {
    justify-content: flex-start;
  }
  .nav-logo {
    margin: 0 auto;
  }
  .error {
    padding: 40px 20px 60px;
  }

  .error-text {
    margin-top: 40px;
    text-align: center;
  }
}

@media screen and (max-width: 550px) {
  .about-card {
    flex-direction: column;
  }
  .hero-content {
    padding: 20px 15px;
  }
  .hero-img.bottom {
    display: block !important;
    right: 0;
    bottom: -35px;
    top: auto;
    height: auto;
    width: 100%;
  }
  .about,
  .products,
  .delivery {
    padding: 40px 15px;
  }
  .contacts-main-desc {
    padding: 30px 0 30px 15px;
  }
  .footer {
    padding: 40px 15px;
  }
  .products-card {
    flex-basis: 270px;
    max-width: 100%;
    min-width: 49%;
  }
  .delivery-order-form-content-data {
    flex-direction: column;
  }
  .delivery-order-form-content-data input {
    max-width: 100%;
    width: 100%;
  }
}
@media screen and (max-width: 510px) {
  .products-download {
    flex-direction: column;
    align-items: flex-start;
    padding: 20px;
  }
  .delivery-card {
    padding: 20px;
  }
  .delivery-order {
    padding: 20px;
  }
  .contact-wrapper {
    flex-direction: column;
    gap: 20px;
  }
  .contacts-main-desc {
    padding: 30px 20px 0 20px;
  }
  .map {
    width: 100%;
  }
  .about-text {
    width: 90%;
  }
  .footer-wrapper {
    flex-direction: column;
    align-items: flex-start;
  }
  section.contact .contact-wrapper .map {
    height: 350px;
  }
}
@media screen and (max-width: 460px) {
  .hero-img.bottom {
    bottom: 0;
  }
  .call {
    max-width: 90%;
    width: 100%;
  }
  .thanks {
    max-width: 90%;
    width: 100%;
  }
  .about-text {
    width: 95%;
  }
  .products-download {
    /* height: 160px; */
  }
}

@media screen and (min-height: 850px) {
  .hero-content {
    padding: 120px 20px;
  }
  .hero-title {
    margin-bottom: 40px;
  }
  .hero-text {
    margin-bottom: 50px;
  }
}
@media screen and (min-height: 790px) {
  .hero-content {
    padding: 220px 15px;
  }
  .hero-title {
    margin-bottom: 40px;
  }
  .hero-text {
    margin-bottom: 50px;
  }
}
@media screen and (max-height: 730px) {
  .hero-content {
    padding: 40px 15px;
  }
  .hero-title {
    margin-bottom: 30px;
  }
  .hero-text {
    margin-bottom: 30px;
  }
}
@media screen and (max-height: 620px) {
  .hero-content {
    padding: 20px 15px;
  }
  .hero-title {
    margin-bottom: 20px;
  }
  .hero-text {
    margin-bottom: 20px;
  }
}

@media (max-width: 767px) {
  .products-nav.fixed {
    position: fixed;
    top: 78px;
    left: 0;
    width: 100%;
    background-color: #fff;
    z-index: 420;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    height: 70px;
    padding: 0 15px;
    transition: opacity 0.3s ease;
  }

  .products-nav.none {
    opacity: 0;
    pointer-events: none; /* Отключаем клики */
  }
}
@media (max-width: 1024px) and (min-height: 1300px) {
  .hero-img {
    display: none;
  }
  .hero::before {
    background: linear-gradient(180deg, rgba(17, 30, 95, 0) -15%, #111e5f 70%);
  }
  .hero-content {
    padding: 110px 20px;
  }
  .hero-img.bottom {
    display: block !important;
    right: 0;
    bottom: -290px;
    top: auto;
    height: 100%;
    width: 100%;
  }
  h1 {
    font-size: 65px;
    color: #fff;
  }
  .hero-text {
    font-size: 26px;
  }
}
@media (max-width: 820px) and (min-height: 1110px) {
  .hero-img {
    display: none;
  }
  .hero::before {
    background: linear-gradient(180deg, rgba(17, 30, 95, 0) -15%, #111e5f 70%);
  }
  .hero-content {
    padding: 110px 20px;
  }
  .hero-img.bottom {
    display: block !important;
    right: 0;
    bottom: -290px;
    top: auto;
    height: 100%;
    width: 100%;
  }
  h1 {
    font-size: 65px;
    color: #fff;
  }
  .hero-text {
    font-size: 26px;
  }
}
@media (max-width: 770px) and (min-height: 790px) {
  .hero-img {
    display: none;
  }
  .hero::before {
    background: linear-gradient(180deg, rgba(17, 30, 95, 0) -15%, #111e5f 70%);
  }
  .hero-content {
    padding: 30px 20px;
  }
  .hero-img.bottom {
    display: block !important;
    right: 0;
    bottom: -155px;
    top: auto;
    height: 100%;
    width: 100%;
  }
  .hero-title {
    margin-bottom: 30px;
  }
  .hero-text {
    margin-bottom: 30px;
  }
}
